Index: configs/dcmip2016/RUNS/BAROCLINIC_WAVE/moist_full_physiq_0.5deg/add_global_attr
===================================================================
--- configs/dcmip2016/RUNS/BAROCLINIC_WAVE/moist_full_physiq_0.5deg/add_global_attr	(revision 446)
+++ configs/dcmip2016/RUNS/BAROCLINIC_WAVE/moist_full_physiq_0.5deg/add_global_attr	(revision 446)
@@ -0,0 +1,41 @@
+module load nco
+
+project_id=DCMIP2016
+institut_id=IPSL
+experiment_id="161-moist_full_physics"
+model_id="DYNAMICO"
+modeling_realm="atmos"
+ensemble="DCMIP2016"
+
+attr_list="project_id institut_id experiment_id model_id modeling_realm ensemble"
+
+list="hyai  hyam  hybi  hybm  mdt  OMEGA500  OMEGA850  OMEGA  P0  PHI  PHIS  P  PRECT  PS  Q1_col_int  Q1  Q2_col_int  Q2  Qc  Q  Qr  SST  T500  T850  T  U500  U850  U  V500  V850  V  W500  W850  W"
+
+
+for i in $list
+do 
+  operator_list=""
+  for j in $attr_list
+  do
+    operator_list="${operator_list} -a $j,global,o,c,${!j}"
+  done
+  operator_list="$operator_list -a variable,global,o,c,$i"
+  echo $operator_list
+  name=output_dcmip2016_regular_${i}.nc
+  ncks -A -x output_dcmip2016_regular.nc $name
+  ncatted -O $operator_list  $name
+done
+
+for i in $list
+do 
+  operator_list=""
+  for j in $attr_list
+  do
+    operator_list="${operator_list} -a $j,global,o,c,${!j}"
+  done
+  operator_list="$operator_list -a variable,global,o,c,$i"
+  echo $operator_list
+  name=output_dcmip2016_native_${i}.nc
+  ncks -A -x output_dcmip2016_native.nc $name
+  ncatted -O $operator_list  $name
+done
Index: configs/dcmip2016/RUNS/BAROCLINIC_WAVE/moist_full_physiq_0.5deg/cmdfile.txt
===================================================================
--- configs/dcmip2016/RUNS/BAROCLINIC_WAVE/moist_full_physiq_0.5deg/cmdfile.txt	(revision 446)
+++ configs/dcmip2016/RUNS/BAROCLINIC_WAVE/moist_full_physiq_0.5deg/cmdfile.txt	(revision 446)
@@ -0,0 +1,4 @@
+../../../DYNAMICO/bin/icosa_gcm.exe: 80
+../../../XIOS/bin/xios_server.exe:1
+../../../DYNAMICO/bin/icosa_gcm.exe: 80
+../../../XIOS/bin/xios_server.exe:1
Index: configs/dcmip2016/RUNS/BAROCLINIC_WAVE/moist_full_physiq_0.5deg/filedef_dcmip2016.xml
===================================================================
--- configs/dcmip2016/RUNS/BAROCLINIC_WAVE/moist_full_physiq_0.5deg/filedef_dcmip2016.xml	(revision 433)
+++ configs/dcmip2016/RUNS/BAROCLINIC_WAVE/moist_full_physiq_0.5deg/filedef_dcmip2016.xml	(revision 446)
@@ -1,7 +1,7 @@
 <file_definition>
 
-  <file id="output_dcmip2016_native" enabled=".TRUE." output_freq="3h" sync_freq="3h" output_level="10" description="Moist baroclinic wave" > 
+  <file id="output_dcmip2016_native" enabled=".TRUE." output_freq="3h" sync_freq="3h" output_level="10" description="Moist baroclinic wave" timeseries="only" > 
     
-    <field_group operation="once" freq_offset="0ts" >
+    <field_group id="dcmip2016_output_field_once" operation="once" freq_offset="0ts" ts_enabled="true">
       <field field_ref="timestep" name="mdt" />
       <field field_ref="preff" name="P0" long_name="reference pressure" />
@@ -13,7 +13,8 @@
     
     
-    <field_group id="dcmip2016_output_field" >
+    <field_group id="dcmip2016_output_field" ts_enabled="true">
       <field field_ref="ps" name="PS"       standard_name="surface_pressure" long_name="Surface pressure"         unit="Pa" />
       <field field_ref="phis" operation="once" freq_offset="0ts" name="PHIS"   standard_name="surface_geopotential" long_name="Surface geopotential" unit="m2/m2"/>
+      <field field_ref="geopot"  name="PHI"   standard_name="geopotential" long_name="geopotential" unit="m2/s2"/>
       <field field_ref="ulon" name="U"      standard_name="eastward_wind" long_name="Zonal wind"                  unit="m/s"/>
       <field field_ref="ulat" name="V"      standard_name="northward_wind" long_name="Meridional wind"            unit="m/s"/>
@@ -25,5 +26,5 @@
       <field field_ref="q2"  name="Qc"                                          long_name="Cloud water mixing ration"  unit="kg/kg"/>
       <field field_ref="q3"  name="Qr"                                          long_name="Rain water mixing ration"  unit="kg/kg"/>
-      <field field_ref="precl"  name="PRECL"     standard_name="rainfall_rate"  long_name="Large Scale precipitation rate"  unit="m/s"/>
+      <field field_ref="precl"  name="PRECT"     standard_name="rainfall_rate"  long_name="Large Scale precipitation rate"  unit="m/s"/>
       <field field_ref="Q1_col_int"  name="Q1_col_int"      long_name="Single chlorine column integrated mixing ratio"  unit="kg/m2"/> 
       <field field_ref="Q2_col_int"  name="Q2_col_int"      long_name="Chlorine gas column integrated mixing ratio"  unit="kg/m2"/> 
@@ -55,14 +56,7 @@
 
 
-  <file id="output_dcmip2016_regular" enabled=".TRUE." output_freq="3h" sync_freq="3h" output_level="10" description="Moist baroclinic wave" > 
+  <file id="output_dcmip2016_regular" enabled=".TRUE." output_freq="3h" sync_freq="3h" output_level="10" description="Moist baroclinic wave" timeseries="only"> 
     
-    <field_group operation="once" freq_offset="0ts" >
-      <field field_ref="timestep" name="mdt" />
-      <field field_ref="preff" name="P0" long_name="reference pressure" />
-      <field field_ref="ap" name="hyai"   />
-      <field field_ref="bp" name="hybi"   />
-      <field field_ref="mid_ap" name="hyam"   />
-      <field field_ref="mid_bp" name="hybm"   />
-    </field_group>
+    <field_group group_ref="dcmip2016_output_field_once"/>
     
     
Index: configs/dcmip2016/RUNS/BAROCLINIC_WAVE/moist_full_physiq_0.5deg/icosa.xml
===================================================================
--- configs/dcmip2016/RUNS/BAROCLINIC_WAVE/moist_full_physiq_0.5deg/icosa.xml	(revision 433)
+++ configs/dcmip2016/RUNS/BAROCLINIC_WAVE/moist_full_physiq_0.5deg/icosa.xml	(revision 446)
@@ -5,5 +5,5 @@
 
   <file_definition src="./filedef_dcmip2016.xml" /> 
-  <file_definition src="./filedef_debug.xml" />     
+<!--  <file_definition src="./filedef_debug.xml" /> -->     
 
   <file_definition type="one_file" par_access="collective">
Index: configs/dcmip2016/RUNS/BAROCLINIC_WAVE/moist_full_physiq_0.5deg/job_ys
===================================================================
--- configs/dcmip2016/RUNS/BAROCLINIC_WAVE/moist_full_physiq_0.5deg/job_ys	(revision 433)
+++ configs/dcmip2016/RUNS/BAROCLINIC_WAVE/moist_full_physiq_0.5deg/job_ys	(revision 446)
@@ -4,5 +4,5 @@
 #BSUB -a tv   
 #BSUB -P SCIS0006            # project code
-#BSUB -W 00:30               # wall-clock time (hrs:mins)
+#BSUB -W 4:59               # wall-clock time (hrs:mins)
 #BSUB -n 160                  # number of tasks in job         
 #BSUB -R "span[ptile=16]"    # run 16 MPI tasks per node
Index: configs/dcmip2016/RUNS/BAROCLINIC_WAVE/moist_full_physiq_0.5deg/job_ys_mpmd
===================================================================
--- configs/dcmip2016/RUNS/BAROCLINIC_WAVE/moist_full_physiq_0.5deg/job_ys_mpmd	(revision 446)
+++ configs/dcmip2016/RUNS/BAROCLINIC_WAVE/moist_full_physiq_0.5deg/job_ys_mpmd	(revision 446)
@@ -0,0 +1,28 @@
+#!/bin/bash
+#
+# LSF batch script to run an MPI application
+#BSUB -a tv   
+#BSUB -P SCIS0006            # project code
+#BSUB -W 0:59               # wall-clock time (hrs:mins)
+#BSUB -n 162                  # number of tasks in job         
+#BSUB -R "span[ptile=16]"    # run 16 MPI tasks per node
+#BSUB -J dynamico            # job name
+#BSUB -o dynamico.%J.out     # output file name in which %J is replaced by the job ID
+#BSUB -e dynamico.%J.err     # error file name in which %J is replaced by the job ID
+##BSUB -q small          # queue
+#BSUB -q tutorial          # queue
+
+#run the executable
+module unload netcdf
+module unload intel
+module load intel/16.0.2
+module load netcdf-mpi/4.4.0
+module load mkl/11.3.0
+module load totalview/8.14.0-16
+
+
+#totalview -mpi "poe - Linux" -np 40  ../../../DYNAMICO/bin/icosa_gcm.exe
+#mpirun.lsf ../../../DYNAMICO/bin/icosa_gcm.exe
+#mpirun.lsf -cmdfile ./cmd_file.txt
+export MP_PGMMODEL=mpmd
+mpirun.lsf -cmdfile cmdfile.txt
Index: configs/dcmip2016/RUNS/BAROCLINIC_WAVE/moist_full_physiq_0.5deg/publish
===================================================================
--- configs/dcmip2016/RUNS/BAROCLINIC_WAVE/moist_full_physiq_0.5deg/publish	(revision 446)
+++ configs/dcmip2016/RUNS/BAROCLINIC_WAVE/moist_full_physiq_0.5deg/publish	(revision 446)
@@ -0,0 +1,28 @@
+model=dynamico
+test_case=161-moist_full_physics
+horizontal_resolution=50km
+levels=L30
+grid=hex
+equation=hydro
+description=moist_baroclinic_wave
+
+list="hyai  hyam  hybi  hybm  mdt  OMEGA500  OMEGA850  OMEGA  P0  PHI  PHIS  P  PRECT  PS  Q1_col_int  Q1  Q2_col_int  Q2  Qc  Q  Qr  SST  T500  T850  T  U500  U850  U  V500  V850  V  W500  W850  W"
+
+base_directory=/glade/p/vetssg/data/DCMIP_2016/dynamico/publish
+
+dir_name=$base_directory/${model}.${test_case}.${horizontal_resolution}.${levels}.${grid}.${equation}.${description}
+
+mkdir $dir_name
+prefix="output_dcmip2016_native"
+for var in $list
+do 
+   name=${model}.${test_case}.${horizontal_resolution}.${levels}.${grid}.${equation}.${description}.${var}
+   cp ${prefix}_${var}.nc ${dir_name}/${name}.nc
+done
+
+prefix="output_dcmip2016_regular"
+for var in $list
+do 
+   name=${model}.${test_case}.${horizontal_resolution}.${levels}.${grid}_interp_latlon.${equation}.${description}.${var}
+   cp ${prefix}_${var}.nc ${dir_name}/${name}.nc
+done