Index: configs/dcmip2016/RUNS/SUPERCELL/1_degree/add_global_attr
===================================================================
--- configs/dcmip2016/RUNS/SUPERCELL/1_degree/add_global_attr	(revision 463)
+++ configs/dcmip2016/RUNS/SUPERCELL/1_degree/add_global_attr	(revision 463)
@@ -0,0 +1,41 @@
+module load nco
+
+project_id=DCMIP2016
+institut_id=IPSL
+experiment_id="163"
+model_id="DYNAMICO"
+modeling_realm="atmos"
+ensemble="DCMIP2016"
+
+attr_list="project_id institut_id experiment_id model_id modeling_realm ensemble"
+
+list="hyai  hyam  hybi  hybm  mdt  OMEGA500  OMEGA850  OMEGA  P0  PHI  PHIS  P  PRECT  PS  Q1_col_int  Q1  Q2_col_int  Q2  Qc  Q  Qr  SST  T500  T850  T  U500  U850  U  V500  V850  V  W500  W850  W"
+
+
+for i in $list
+do 
+  operator_list=""
+  for j in $attr_list
+  do
+    operator_list="${operator_list} -a $j,global,o,c,${!j}"
+  done
+  operator_list="$operator_list -a variable,global,o,c,$i"
+  echo $operator_list
+  name=output_dcmip2016_regular_${i}.nc
+  ncks -A -x output_dcmip2016_regular.nc $name
+  ncatted -O $operator_list  $name
+done
+
+for i in $list
+do 
+  operator_list=""
+  for j in $attr_list
+  do
+    operator_list="${operator_list} -a $j,global,o,c,${!j}"
+  done
+  operator_list="$operator_list -a variable,global,o,c,$i"
+  echo $operator_list
+  name=output_dcmip2016_native_${i}.nc
+  ncks -A -x output_dcmip2016_native.nc $name
+  ncatted -O $operator_list  $name
+done
Index: configs/dcmip2016/RUNS/SUPERCELL/1_degree/clean
===================================================================
--- configs/dcmip2016/RUNS/SUPERCELL/1_degree/clean	(revision 463)
+++ configs/dcmip2016/RUNS/SUPERCELL/1_degree/clean	(revision 463)
@@ -0,0 +1,8 @@
+rm xios_*
+rm dynamico.*
+rm -rf core*
+rm Ai.nc
+rm apbp.nc
+rm time_counter.nc
+rm checkconsicosa.txt
+rm restart.nc 
Index: configs/dcmip2016/RUNS/SUPERCELL/1_degree/cmdfile.txt
===================================================================
--- configs/dcmip2016/RUNS/SUPERCELL/1_degree/cmdfile.txt	(revision 463)
+++ configs/dcmip2016/RUNS/SUPERCELL/1_degree/cmdfile.txt	(revision 463)
@@ -0,0 +1,3 @@
+../../../DYNAMICO/bin/icosa_gcm.exe: 160
+../../../XIOS/bin/xios_server.exe:1
+
Index: configs/dcmip2016/RUNS/SUPERCELL/1_degree/const.def
===================================================================
--- configs/dcmip2016/RUNS/SUPERCELL/1_degree/const.def	(revision 463)
+++ configs/dcmip2016/RUNS/SUPERCELL/1_degree/const.def	(revision 463)
@@ -0,0 +1,33 @@
+
+#---------------- Planet ----------------
+
+# Planetary radius : real (default=6371220)
+radius = 6.37122e6
+
+# Gravity : real (default=9.80616)
+g = 9.80616
+
+# kappa=Rd/cpp : real (default=0.2857143)
+kappa = 0.2857143
+
+# Heat capacity at constant pressure : real (default=1004.70885)
+cpp = 1004.5
+
+# Reference pressure : real (default=101325)
+preff = 1e5
+
+# Planetary rotation rate : real (default=7.292E-5)
+omega = 0.
+
+
+#---------------- Constants ----------------
+
+# Reference temperature T0 for DCMIP test cases : real (default=300)
+ncar_T0 = 300
+
+# Reference pressure p0 for DCMIP test cases, used by disvert if disver=ncar : real (default=1e5)
+ncar_p0 = 1e5
+
+# Exponent for B(eta), used by disvert if disvert=ncar : integer (default=1)
+ncar_disvert_c = 1
+
Index: configs/dcmip2016/RUNS/SUPERCELL/1_degree/extract_ts
===================================================================
--- configs/dcmip2016/RUNS/SUPERCELL/1_degree/extract_ts	(revision 463)
+++ configs/dcmip2016/RUNS/SUPERCELL/1_degree/extract_ts	(revision 463)
@@ -0,0 +1,12 @@
+module load nco
+
+list="hyai  hyam  hybi  hybm  mdt  OMEGA500  OMEGA850  OMEGA  P0  PHI  PHIS  P  PRECT  PS  Q1_col_int  Q1  Q2_col_int  Q2  Qc  Q  Qr  SST  T500  T850  T  U500  U850  U  V500  V850  V  W500  W850  W"
+
+
+for i in $list
+do 
+  name=output_dcmip2016_native_${i}.nc
+  ncks -O -v $i output_dcmip2016_native.nc ${name}
+  name=output_dcmip2016_regular_${i}.nc
+  ncks -O -v $i output_dcmip2016_regular.nc ${name}
+done
Index: configs/dcmip2016/RUNS/SUPERCELL/1_degree/field_def.xml
===================================================================
--- configs/dcmip2016/RUNS/SUPERCELL/1_degree/field_def.xml	(revision 463)
+++ configs/dcmip2016/RUNS/SUPERCELL/1_degree/field_def.xml	(revision 463)
@@ -0,0 +1,88 @@
+<field_definition level="1" enabled=".TRUE." operation="instant">
+  
+  <field_group id="standard_output"> 
+    
+    <field id="timestep" grid_ref="scalar" unit="s"/>
+    <field id="preff" grid_ref="scalar"    unit="Pa"/>
+    <field id="ap" axis_ref="levp1"   long_name="hybrid A coefficient at layer interface" />
+    <field id="bp" axis_ref="levp1"  long_name="hybrid B coefficient at layer interface" />
+    <field id="mid_ap" axis_ref="lev"   long_name="hybrid A coefficient at midpoints" />
+    <field id="mid_bp" axis_ref="lev"  long_name="hybrid B coefficient at midpoints" />
+    
+    <field_group domain_ref="i">
+      <field id="ps" />
+      <field id="dps"  />
+      <field id="Ai" />
+      <field id="phis" />
+      <field id="phi" />
+      <field id="precl" />
+      <field id="Q1_col_int" />     
+      <field id="Q2_col_int" />     
+      <field id="ps_init" />
+      
+      <field_group axis_ref="lev"> 
+        <field id="mass" />
+        <field id="p" />
+        <field id="dmass"/>
+        <field id="theta" />
+        <field id="dyn_q" />
+        <field id="pk"/>
+        <field id="ulon"/>
+        <field id="ulat"/>
+        <field id="uz"/>
+        <field id="omega"/>
+        <field id="temp"/>
+        
+        <field id="q1"/>
+        <field id="q2"/>
+        <field id="q3"/>
+        <field id="q4"/>
+        <field id="q5"/>
+
+        <field id="mass_init" />
+        <field id="p_init" />
+        <field id="theta_init" />
+        <field id="dyn_q_init" />
+        <field id="ulon_init"/>
+        <field id="ulat_init"/>
+        <field id="uz_init"/>
+        <field id="temp_init"/>
+        
+        <field id="q_init1"/>
+        <field id="q_init2"/>
+        <field id="q_init3"/>
+        <field id="q_init4"/>
+        <field id="q_init5"/>
+      </field_group>
+      
+      <field id="u850" />
+      <field id="v850" />
+      <field id="w850" />
+      <field id="t850" />
+      <field id="omega850"/>                  
+      <field id="u500" />
+      <field id="v500" />
+      <field id="w500" />
+      <field id="t500" />
+      <field id="omega500"/>                  
+      <field id="SST"/>
+      
+      <field id="ulon_850_500" field_ref="p" axis_ref="lev_pressure" />
+      
+      <field_group axis_ref="levp1"> 
+        <field id="geopot"/>
+        <field id="geopot_init"/>
+      </field_group>
+    </field_group> 
+    
+    
+    <field_group domain_ref="v" axis_ref="lev">
+      <field id="vort" />
+      <field id="pv" />
+    </field_group>
+    
+  </field_group>
+  
+  
+</field_definition>
+
Index: configs/dcmip2016/RUNS/SUPERCELL/1_degree/filedef_dcmip2016.xml
===================================================================
--- configs/dcmip2016/RUNS/SUPERCELL/1_degree/filedef_dcmip2016.xml	(revision 463)
+++ configs/dcmip2016/RUNS/SUPERCELL/1_degree/filedef_dcmip2016.xml	(revision 463)
@@ -0,0 +1,75 @@
+<file_definition > 
+
+  <file id="output_dcmip2016_native" enabled=".TRUE." output_freq="300s" sync_freq="300s" output_level="10" timeseries="none" description="Supercell" > 
+    
+    <field_group id="dcmip2016_output_field_once" operation="once" freq_offset="0ts" ts_enabled="true">
+      <field field_ref="timestep" name="mdt" />
+      <field field_ref="preff" name="P0" long_name="reference pressure" />
+      <field field_ref="ap" name="hyai"   />
+      <field field_ref="bp" name="hybi"   />
+      <field field_ref="mid_ap" name="hyam"   />
+      <field field_ref="mid_bp" name="hybm"   />
+    </field_group>
+    
+    
+    <field_group id="dcmip2016_output_field" ts_enabled="true">
+      <field field_ref="ps" name="PS"       standard_name="surface_pressure" long_name="Surface pressure"         unit="Pa" />
+      <field field_ref="phis" operation="once" freq_offset="0ts" name="PHIS"   standard_name="surface_geopotential" long_name="Surface geopotential" unit="m2/m2"/>
+      <field field_ref="geopot"  name="PHI"   standard_name="geopotential" long_name="geopotential" unit="m2/s2"/>
+      <field field_ref="ulon" name="U"      standard_name="eastward_wind" long_name="Zonal wind"                  unit="m/s"/>
+      <field field_ref="ulat" name="V"      standard_name="northward_wind" long_name="Meridional wind"            unit="m/s"/>
+      <field field_ref="uz" name="W"        standard_name="upward_air_velocity" long_name="Vertical velocity"     unit="m/s"/>
+      <field field_ref="omega" name="OMEGA"        standard_name="lagrangian_tendency_of_air_pressure" long_name="Vertical pressure velocity"     unit="Pa/s"/>
+      <field field_ref="p"  name="P"        standard_name="air_pressure" long_name="Pressure"     unit="Pa"/>
+      <field field_ref="temp"  name="T"        standard_name="air_temperature" long_name="Temperature"     unit="K"/>
+      <field field_ref="q1"  name="Q"        standard_name="specific_humidity"  long_name="Specific humidity"          unit="kg/kg"/>
+      <field field_ref="q2"  name="Qc"                                          long_name="Cloud water mixing ration"  unit="kg/kg"/>
+      <field field_ref="q3"  name="Qr"                                          long_name="Rain water mixing ration"  unit="kg/kg"/>
+      <field field_ref="precl"  name="PRECT"     standard_name="rainfall_rate"  long_name="Large Scale precipitation rate"  unit="m/s"/>
+      <field field_ref="q4"  name="Q1"      long_name="Single chlorine mixing ratio"  unit="kg/kg"/> 
+      <field field_ref="q5"  name="Q2"      long_name="Chlorine gas mixing ratio"  unit="kg/kg"/> 
+      <field field_ref="Q1_col_int"  name="Q1_col_int"      long_name="Single chlorine column integrated mixing ratio"  unit="kg/m2"/> 
+      <field field_ref="Q2_col_int"  name="Q2_col_int"      long_name="Chlorine gas column integrated mixing ratio"  unit="kg/m2"/> 
+      <field field_ref="u850" name="U850"       long_name="Zonal wind at 850 hPa"      unit="m/s"/>
+      <field field_ref="v850" name="V850"       long_name="Meridional wind at 850 hPa"   unit="m/s"/>
+      <field field_ref="w850" name="W850"       long_name="Vertical velocity at 850 hPa"     unit="m/s"/>
+      <field field_ref="t850" name="T850"       long_name="Temperature at 850 hPa"   unit="K"/>
+      <field field_ref="omega850" name="OMEGA850"   long_name="Vertical pressure velocity at 850 hPa"     unit="Pa/s"/>
+      <field field_ref="u500" name="U500"       long_name="Zonal wind at 500 hPa"      unit="m/s"/>
+      <field field_ref="v500" name="V500"       long_name="Meridional wind at 850 hPa"   unit="m/s"/>
+      <field field_ref="w850" name="W500"       long_name="Vertical velocity at 500 hPa"     unit="m/s"/>
+      <field field_ref="t500" name="T500"       long_name="Temperature at 850 hPa"   unit="K"/>
+      <field field_ref="omega500" name="OMEGA500"   long_name="Vertical pressure velocity at 500 hPa"     unit="Pa/s"/>
+      <field field_ref="SST" name="SST"       long_name="Sea surface temperature"   unit="K"/>
+      
+    </field_group>
+
+    <variable name="model" type="string" > dynamico </variable>
+    <variable name="test_case" type="string" > 163 </variable>
+    <variable name="horizontal_resolution" type="string" > 1 degree (grid points : 80x80x10) </variable>
+    <variable name="levels" type="string" > L30 </variable>
+    <variable name="grid" type="string" > hex </variable>
+    <variable name="equation" type="string" > hydro </variable>
+    <variable name="time_frequency" type="string" > 300s </variable>    
+
+  </file>
+
+
+  <file id="output_dcmip2016_regular" enabled=".TRUE." output_freq="300s" sync_freq="300s" output_level="10" description="Supercell" timeseries="none" > 
+    
+    <field_group group_ref="dcmip2016_output_field_once"/>
+    
+    <field_group group_ref="dcmip2016_output_field" domain_ref="regular_one_degree" />
+
+    <variable name="model" type="string" > dynamico </variable>
+    <variable name="test_case" type="string" > 163 </variable>
+    <variable name="horizontal_resolution" type="string" > 1 degree interpolated (grid points : 80x80x10) </variable>
+    <variable name="levels" type="string" > L30 </variable>
+    <variable name="grid" type="string" > hex </variable>
+    <variable name="equation" type="string" > hydro </variable>
+    <variable name="time_frequency" type="string" > 300s </variable>    
+
+  </file>
+
+
+</file_definition>
Index: configs/dcmip2016/RUNS/SUPERCELL/1_degree/filedef_debug.xml
===================================================================
--- configs/dcmip2016/RUNS/SUPERCELL/1_degree/filedef_debug.xml	(revision 463)
+++ configs/dcmip2016/RUNS/SUPERCELL/1_degree/filedef_debug.xml	(revision 463)
@@ -0,0 +1,56 @@
+<context id="icosagcm" >
+  <calendar type="d360" start_date="2000-01-01 00:00:00" time_origin="2000-01-01 00:00:00"/>
+  
+  <field_definition src="./field_def.xml" />
+
+  <file_definition src="./filedef_dcmip2016.xml" /> 
+  <file_definition src="./filedef_debug.xml" />     
+
+  <file_definition type="one_file" par_access="collective">
+
+    <file id="output" name="output" enabled=".FALSE."  output_freq="2h" sync_freq="2h" output_level="10" >
+      <field_group group_ref="standard_output"/>
+    </file>
+    
+  </file_definition>
+    
+  <axis_definition>
+    <axis id="lev" positive="down" standard_name="atmopshere_hybrid_sigma_pressure_coordinate" long_name="hybrid level at midpoints" />
+    <axis id="levp1" name="ilev"  unit="level" positive="down" standard_name="atmopshere_hybride_sigma_pressure_coordinate" long_name="hybrid level at interface" />
+    <axis id="lev_pressure" positive="down"  n_glo="2" unit="Pa" value="(0,1)[85000 50000]" >
+      <interpolate_axis order="1" coordinate="p" />
+    </axis>    
+  </axis_definition>    
+  
+  <domain_definition>
+    
+     <domain_group id="i"> 
+       <domain id="i"/>     
+     </domain_group> 
+     
+     
+     <domain id="v" />
+     
+     <domain id="regular_half_degree" type="rectilinear" ni_glo="720" nj_glo="360" >
+       <generate_rectilinear_domain />
+       <interpolate_domain order="1"/>
+     </domain> 
+     
+     <domain id="regular_one_degree" type="rectilinear" ni_glo="360" nj_glo="180" >
+       <generate_rectilinear_domain />
+       <interpolate_domain order="1"/>
+     </domain> 
+     
+     <domain id="regular_two_degree" type="rectilinear" ni_glo="180" nj_glo="90" >
+       <generate_rectilinear_domain />
+       <interpolate_domain order="1"/>
+     </domain> 
+     
+  </domain_definition>    
+  
+  <grid_definition>    
+    <grid id="scalar">
+    </grid>
+  </grid_definition>   
+  
+</context>
Index: configs/dcmip2016/RUNS/SUPERCELL/1_degree/icosa.xml
===================================================================
--- configs/dcmip2016/RUNS/SUPERCELL/1_degree/icosa.xml	(revision 463)
+++ configs/dcmip2016/RUNS/SUPERCELL/1_degree/icosa.xml	(revision 463)
@@ -0,0 +1,56 @@
+<context id="icosagcm" >
+  <calendar type="d360" start_date="2000-01-01 00:00:00" time_origin="2000-01-01 00:00:00"/>
+  
+  <field_definition src="./field_def.xml" />
+
+  <file_definition src="./filedef_dcmip2016.xml" /> 
+<!--  <file_definition src="./filedef_debug.xml" /> -->     
+
+  <file_definition type="one_file" par_access="collective">
+
+    <file id="output" name="output" enabled=".FALSE."  output_freq="2h" sync_freq="2h" output_level="10" >
+      <field_group group_ref="standard_output"/>
+    </file>
+    
+  </file_definition>
+    
+  <axis_definition>
+    <axis id="lev" positive="down" standard_name="atmopshere_hybrid_sigma_pressure_coordinate" long_name="hybrid level at midpoints" />
+    <axis id="levp1" name="ilev"  unit="level" positive="down" standard_name="atmopshere_hybride_sigma_pressure_coordinate" long_name="hybrid level at interface" />
+    <axis id="lev_pressure" positive="down"  n_glo="2" unit="Pa" value="(0,1)[85000 50000]" >
+      <interpolate_axis order="1" coordinate="p" />
+    </axis>    
+  </axis_definition>    
+  
+  <domain_definition>
+    
+     <domain_group id="i"> 
+       <domain id="i"/>     
+     </domain_group> 
+     
+     
+     <domain id="v" />
+     
+     <domain id="regular_half_degree" type="rectilinear" ni_glo="720" nj_glo="360" >
+       <generate_rectilinear_domain />
+       <interpolate_domain order="1"/>
+     </domain> 
+     
+     <domain id="regular_one_degree" type="rectilinear" ni_glo="360" nj_glo="180" >
+       <generate_rectilinear_domain />
+       <interpolate_domain order="1"/>
+     </domain> 
+     
+     <domain id="regular_two_degree" type="rectilinear" ni_glo="180" nj_glo="90" >
+       <generate_rectilinear_domain />
+       <interpolate_domain order="1"/>
+     </domain> 
+     
+  </domain_definition>    
+  
+  <grid_definition>    
+    <grid id="scalar">
+    </grid>
+  </grid_definition>   
+  
+</context>
Index: configs/dcmip2016/RUNS/SUPERCELL/1_degree/iodef.xml
===================================================================
--- configs/dcmip2016/RUNS/SUPERCELL/1_degree/iodef.xml	(revision 463)
+++ configs/dcmip2016/RUNS/SUPERCELL/1_degree/iodef.xml	(revision 463)
@@ -0,0 +1,21 @@
+<?xml version="1.0"?>
+<simulation> 
+	
+	<context  id="xios">
+		<variable_definition>
+                <variable id="print_file" type="bool"> true </variable> 
+                <variable id="min_buffer_size" type="double">1000000</variable> 
+       		<variable_group id="buffer">
+         	</variable_group>
+
+        	<variable_group id="parameters" >
+        		<variable id="using_server" type="bool">true</variable>
+        		<variable id="info_level" type="int">100</variable>
+        	</variable_group>
+		</variable_definition>
+	</context>
+	
+
+        <context id="icosagcm" src="./icosa.xml" /> 
+
+</simulation>
Index: configs/dcmip2016/RUNS/SUPERCELL/1_degree/job_ys
===================================================================
--- configs/dcmip2016/RUNS/SUPERCELL/1_degree/job_ys	(revision 463)
+++ configs/dcmip2016/RUNS/SUPERCELL/1_degree/job_ys	(revision 463)
@@ -0,0 +1,25 @@
+#!/bin/bash
+#
+# LSF batch script to run an MPI application
+#BSUB -a tv   
+#BSUB -P SCIS0006            # project code
+#BSUB -W 00:59               # wall-clock time (hrs:mins)
+#BSUB -n 160                  # number of tasks in job         
+#BSUB -R "span[ptile=16]"    # run 16 MPI tasks per node
+#BSUB -J dynamico            # job name
+#BSUB -o dynamico.%J.out     # output file name in which %J is replaced by the job ID
+#BSUB -e dynamico.%J.err     # error file name in which %J is replaced by the job ID
+#BSUB -q small          # queue
+##BSUB -q tutorial          # queue
+
+#run the executable
+module unload netcdf
+module unload intel
+module load intel/16.0.2
+module load netcdf-mpi/4.4.0
+module load mkl/11.3.0
+module load totalview/8.14.0-16
+
+#totalview -mpi "poe - Linux" -np 160  ../../../DYNAMICO/bin/icosa_gcm.exe
+mpirun.lsf ../../../DYNAMICO/bin/icosa_gcm.exe
+#mpirun.lsf -cmdfile ./cmd_file.txt
Index: configs/dcmip2016/RUNS/SUPERCELL/1_degree/job_ys_mpmd
===================================================================
--- configs/dcmip2016/RUNS/SUPERCELL/1_degree/job_ys_mpmd	(revision 463)
+++ configs/dcmip2016/RUNS/SUPERCELL/1_degree/job_ys_mpmd	(revision 463)
@@ -0,0 +1,28 @@
+#!/bin/bash
+#
+# LSF batch script to run an MPI application
+#BSUB -a tv   
+#BSUB -P SCIS0006            # project code
+#BSUB -W 00:30               # wall-clock time (hrs:mins)
+#BSUB -n 161                  # number of tasks in job         
+#BSUB -R "span[ptile=16]"    # run 16 MPI tasks per node
+#BSUB -J dynamico            # job name
+#BSUB -o dynamico.%J.out     # output file name in which %J is replaced by the job ID
+#BSUB -e dynamico.%J.err     # error file name in which %J is replaced by the job ID
+#BSUB -q small          # queue
+##BSUB -q tutorial          # queue
+
+#run the executable
+module unload netcdf
+module unload intel
+module load intel/16.0.2
+module load netcdf-mpi/4.4.0
+module load mkl/11.3.0
+module load totalview/8.14.0-16
+
+
+#totalview -mpi "poe - Linux" -np 40  ../../../DYNAMICO/bin/icosa_gcm.exe
+#mpirun.lsf ../../../DYNAMICO/bin/icosa_gcm.exe
+#mpirun.lsf -cmdfile ./cmd_file.txt
+export MP_PGMMODEL=mpmd
+mpirun.lsf -cmdfile cmdfile.txt
Index: configs/dcmip2016/RUNS/SUPERCELL/1_degree/publish
===================================================================
--- configs/dcmip2016/RUNS/SUPERCELL/1_degree/publish	(revision 463)
+++ configs/dcmip2016/RUNS/SUPERCELL/1_degree/publish	(revision 463)
@@ -0,0 +1,28 @@
+model=dynamico
+test_case=163
+horizontal_resolution=100km
+levels=L40
+grid=hex
+equation=hydro
+description=supercell
+
+list="hyai  hyam  hybi  hybm  mdt  OMEGA500  OMEGA850  OMEGA  P0  PHI  PHIS  P  PRECT  PS  Q1_col_int  Q1  Q2_col_int  Q2  Qc  Q  Qr  SST  T500  T850  T  U500  U850  U  V500  V850  V  W500  W850  W"
+
+base_directory=/glade/p/vetssg/data/DCMIP_2016/dynamico/publish
+
+dir_name=$base_directory/${model}.${test_case}.${horizontal_resolution}.${levels}.${grid}.${equation}.${description}
+
+mkdir $dir_name
+prefix="output_dcmip2016_native"
+for var in $list
+do 
+   name=${model}.${test_case}.${horizontal_resolution}.${levels}.${grid}.${equation}.${description}.${var}
+   cp ${prefix}_${var}.nc ${dir_name}/${name}.nc
+done
+
+prefix="output_dcmip2016_regular"
+for var in $list
+do 
+   name=${model}.${test_case}.${horizontal_resolution}.${levels}.${grid}_interp_latlon.${equation}.${description}.${var}
+   cp ${prefix}_${var}.nc ${dir_name}/${name}.nc
+done
Index: configs/dcmip2016/RUNS/SUPERCELL/1_degree/run.def
===================================================================
--- configs/dcmip2016/RUNS/SUPERCELL/1_degree/run.def	(revision 463)
+++ configs/dcmip2016/RUNS/SUPERCELL/1_degree/run.def	(revision 463)
@@ -0,0 +1,76 @@
+INCLUDEDEF = const.def
+scale_factor=120
+time_scale=dcmip
+#---------------- Mesh ----------------
+
+# Number of subdivisions on a main triangle : integer (default=40)
+nbp = 80
+
+# Number of vertical layers : integer (default=19)
+llm = 40
+
+# Vertical grid : [std|ncar|ncarl30] (default=std)
+disvert = ncar
+ncar_dz=500
+
+
+# Mesh optimisation : number of iterations : integer (default=0)
+optim_it = 2000
+
+# Sub splitting of main rhombus : integer (default=1)
+nsplit_i = 4
+nsplit_j = 4
+
+
+#---------------- Numerics ----------------
+
+# Time step in s : real (default=480)
+dt = 240
+
+# Dissipation time for grad(div) : real (default=5000)
+tau_graddiv = 2000
+
+# Exponent of grad(div) disspation : integer (default=1)
+nitergdiv = 2
+
+# Dissipation time for curl(curl) : real (default=5000)
+tau_gradrot = 2000
+
+# Exponent of curl(curl) disspation : integer (default=1)
+nitergrot = 2
+
+# Dissipation time for div(grad) : real (default=5000)
+tau_divgrad = 2000
+
+# Exponent of div(grad) disspation : integer (default=1)
+niterdivgrad = 2
+
+
+#---------------- Time ----------------
+
+# Run length in s : real (default=??)
+#            30 days
+
+run_length = 864000
+
+# Interval in s between two outputs : integer (default=??)
+write_period = 36000
+
+
+#---------------- Physical parameters ----------------
+
+# Number of tracers : integer (default=1)
+nqtot = 5
+
+# Initial state : 
+#   [jablonowsky06|academic|dcmip[1-4]|heldsz|dcmip2_schaer_noshear] (default=jablonowsky06)
+etat0 = dcmip2016_supercell
+
+
+itau_physics=3
+physics=dcmip2016
+#physics_dcmip2016=supercell
+physics_dcmip2016=supercell
+physics_dcmip2016_PBL=no
+#caldyn_thermo=theta_fake_moist
+thermo=theta_fake_moist