Index: configs/dcmip2016/RUNS/BAROCLINIC_WAVE/moist_full_physiq/field_def.xml
===================================================================
--- configs/dcmip2016/RUNS/BAROCLINIC_WAVE/moist_full_physiq/field_def.xml	(revision 445)
+++ configs/dcmip2016/RUNS/BAROCLINIC_WAVE/moist_full_physiq/field_def.xml	(revision 484)
@@ -15,4 +15,5 @@
       <field id="Ai" />
       <field id="phis" />
+      <field id="phi" />
       <field id="precl" />
       <field id="Q1_col_int" />     
@@ -32,5 +33,6 @@
         <field id="omega"/>
         <field id="temp"/>
-        
+
+<!--        
         <field id="q1"/>
         <field id="q2"/>
@@ -38,5 +40,6 @@
         <field id="q4"/>
         <field id="q5"/>
-
+-->
+        
         <field id="mass_init" />
         <field id="p_init" />
@@ -48,11 +51,5 @@
         <field id="temp_init"/>
         
-        <field id="q_init1"/>
-        <field id="q_init2"/>
-        <field id="q_init3"/>
-        <field id="q_init4"/>
-        <field id="q_init5"/>
       </field_group>
-      
       <field id="u850" />
       <field id="v850" />
@@ -74,5 +71,6 @@
       </field_group>
     </field_group> 
-    
+    <field id="q_init" grid_ref="grid_q" />    
+    <field id="q" grid_ref="grid_q" />    
     
     <field_group domain_ref="v" axis_ref="lev">
Index: configs/dcmip2016/RUNS/BAROCLINIC_WAVE/moist_full_physiq/filedef_dcmip2016.xml
===================================================================
--- configs/dcmip2016/RUNS/BAROCLINIC_WAVE/moist_full_physiq/filedef_dcmip2016.xml	(revision 445)
+++ configs/dcmip2016/RUNS/BAROCLINIC_WAVE/moist_full_physiq/filedef_dcmip2016.xml	(revision 484)
@@ -23,12 +23,14 @@
       <field field_ref="p"  name="P"        standard_name="air_pressure" long_name="Pressure"     unit="Pa"/>
       <field field_ref="temp"  name="T"        standard_name="air_temperature" long_name="Temperature"     unit="K"/>
+<!--
       <field field_ref="q1"  name="Q"        standard_name="specific_humidity"  long_name="Specific humidity"          unit="kg/kg"/>
       <field field_ref="q2"  name="Qc"                                          long_name="Cloud water mixing ration"  unit="kg/kg"/>
-      <field field_ref="q3"  name="Qr"                                          long_name="Rain water mixing ration"  unit="kg/kg"/>
+      <field field_ref="q3"  name="Qr"                                          long_name="Rain water mixing ration"  unit="kg/kg"/> -->
       <field field_ref="precl"  name="PRECT"     standard_name="rainfall_rate"  long_name="Large Scale precipitation rate"  unit="m/s"/>
       <field field_ref="Q1_col_int"  name="Q1_col_int"      long_name="Single chlorine column integrated mixing ratio"  unit="kg/m2"/> 
       <field field_ref="Q2_col_int"  name="Q2_col_int"      long_name="Chlorine gas column integrated mixing ratio"  unit="kg/m2"/> 
+<!--
       <field field_ref="q4"  name="Q1"      long_name="Single chlorine mixing ratio"  unit="kg/kg"/> 
-      <field field_ref="q5"  name="Q2"      long_name="Chlorine gas mixing ratio"  unit="kg/kg"/> 
+      <field field_ref="q5"  name="Q2"      long_name="Chlorine gas mixing ratio"  unit="kg/kg"/>  -->
       <field field_ref="u850" name="U850"       long_name="Zonal wind at 850 hPa"      unit="m/s"/>
       <field field_ref="v850" name="V850"       long_name="Meridional wind at 850 hPa"   unit="m/s"/>
Index: configs/dcmip2016/RUNS/BAROCLINIC_WAVE/moist_full_physiq/icosa.xml
===================================================================
--- configs/dcmip2016/RUNS/BAROCLINIC_WAVE/moist_full_physiq/icosa.xml	(revision 445)
+++ configs/dcmip2016/RUNS/BAROCLINIC_WAVE/moist_full_physiq/icosa.xml	(revision 484)
@@ -4,6 +4,6 @@
   <field_definition src="./field_def.xml" />
 
+<!--  <file_definition src="./filedef_debug.xml" /> -->     
   <file_definition src="./filedef_dcmip2016.xml" /> 
-<!--  <file_definition src="./filedef_debug.xml" /> -->     
 
   <file_definition type="one_file" par_access="collective">
@@ -12,13 +12,50 @@
       <field_group group_ref="standard_output"/>
     </file>
+
+    <file id="restart" name="restart" enabled="true">
+       <field_group id="group_restart" operation="once"> 
+          <field id="it_restart" name="iteration"  grid_ref="scalar" />
+          <field id="q_restart" name="q"  grid_ref="grid_q" />
+          <field_group domain_ref="i"> 
+             <field id="ps_restart" name="ps" />
+             <field id="phis_restart" name="phis" />
+             <field_group axis_ref="lev" >
+                <field id="theta_rhodz_restart" name="theta_rhodz" />
+                <field id="u_restart" name="u" domain_ref="u"/>
+                <field id="ulon_restart" name="ulon" />
+                <field id="ulat_restart" name="ulat" />
+             </field_group>
+          </field_group>
+       </field_group>
+    </file>
+
+    <file id="start" name="start" enabled="false" mode="read" >
+       <field_group id="group_start" operation="once"> 
+          <field id="it_start" name="iteration"  grid_ref="scalar" enabled="false"/>
+          <field id="q_start" name="q"  grid_ref="grid_q_read" />
+          <field_group domain_ref="i"> 
+             <field id="ps_start" name="ps" />
+             <field id="phis_start" name="phis" />
+             <field_group axis_ref="lev_read" >
+                <field id="theta_rhodz_start" name="theta_rhodz" />
+                <field id="u_start" name="u" domain_ref="u"/>
+                <field id="ulon_start" name="ulon" />
+                <field id="ulat_start" name="ulat" />
+             </field_group>
+          </field_group>
+       </field_group>
+    </file>
+
     
   </file_definition>
     
   <axis_definition>
-    <axis id="lev" positive="down" standard_name="atmopshere_hybrid_sigma_pressure_coordinate" long_name="hybrid level at midpoints" />
+    <axis id="lev" name="lev" positive="down" standard_name="atmopshere_hybrid_sigma_pressure_coordinate" long_name="hybrid level at midpoints" />
+    <axis id="lev_read" />
     <axis id="levp1" name="ilev"  unit="level" positive="down" standard_name="atmopshere_hybride_sigma_pressure_coordinate" long_name="hybrid level at interface" />
     <axis id="lev_pressure" positive="down"  n_glo="2" unit="Pa" value="(0,1)[85000 50000]" >
       <interpolate_axis order="1" coordinate="p" />
     </axis>    
+    <axis id="nq" name="nq" n_glo="5" value="(0,4)[1 2 3 4 5]"/>
   </axis_definition>    
   
@@ -26,9 +63,10 @@
     
      <domain_group id="i"> 
-       <domain id="i"/>     
+       <domain id="i" name="mesh"/>     
      </domain_group> 
      
      
      <domain id="v" />
+     <domain id="u" />
      
      <domain id="regular_half_degree" type="rectilinear" ni_glo="720" nj_glo="360" >
@@ -52,4 +90,17 @@
     <grid id="scalar">
     </grid>
+    
+    <grid id="grid_q">
+      <domain domain_ref="i" />
+      <axis axis_ref="lev" />
+      <axis axis_ref="nq" />
+    </grid >
+
+    <grid id="grid_q_read">
+      <domain domain_ref="i" />
+      <axis axis_ref="lev_read" />
+      <axis axis_ref="nq" />
+    </grid >
+ 
   </grid_definition>   
   