Index: codes/icosagcm/trunk/src/advect.f90
===================================================================
--- codes/icosagcm/trunk/src/advect.f90	(revision 486)
+++ codes/icosagcm/trunk/src/advect.f90	(revision 487)
@@ -19,5 +19,5 @@
     INTEGER :: ij
 
-!$SIMD
+!DIR$ SIMD
       DO ij=ij_begin,ij_end
 
@@ -84,5 +84,5 @@
     ! arr = area of triangle joining centroids of hexagons
 !     DO l = ll_begin,ll_end 
-!!$SIMD
+!!DIR$ SIMD
 !      DO ij=ij_begin_ext,ij_end_ext
 !!             CALL gradq(ij,l,ij+t_rup,ij+t_lup,ij+z_up,qi,gradtri(ij+z_up,l,:),arr(ij+z_up))
@@ -94,5 +94,5 @@
 
      DO l = ll_begin,ll_end 
-!$SIMD
+!DIR$ SIMD
       DO ij=ij_begin_ext,ij_end_ext
 !       CALL gradq(ij,l,ij+t_rup,ij+t_lup,ij+z_up,qi,gradtri(ij+z_up,l,1),gradtri(ij+z_up,l,2),gradtri(ij+z_up,l,3),arr(ij+z_up))
@@ -225,5 +225,5 @@
     END DO
 
-!$SIMD
+!DIR$ SIMD
     DO ij=ij_begin,ij_end
        ar(ij) = arr(ij+z_up)+arr(ij+z_lup)+arr(ij+z_ldown)+arr(ij+z_down)+arr(ij+z_rdown)+arr(ij+z_rup)+1.e-50
@@ -234,5 +234,5 @@
     DO k=1,3
       DO l =ll_begin,ll_end
-!$SIMD
+!DIR$ SIMD
       DO ij=ij_begin,ij_end
               gradq3d(ij,l,k) = ( gradtri(ij+z_up,l,k) + gradtri(ij+z_down,l,k)   +   &
@@ -247,5 +247,5 @@
     !============================================================================================= LIMITING 
     DO l =ll_begin,ll_end
-!$SIMD
+!DIR$ SIMD
       DO ij=ij_begin,ij_end
 !             maggrd =  dot_product(gradq3d(ij,l,:),gradq3d(ij,l,:))
@@ -369,5 +369,5 @@
     ! reconstruct tangential wind then 3D wind at edge then cc = edge midpoint - u*tau
     DO l = ll_begin,ll_end
-!$SIMD
+!DIR$ SIMD
       DO ij=ij_begin,ij_end
              up_e =1/de(ij+u_right)*(                                                   &
@@ -447,5 +447,5 @@
     DO l = ll_begin,ll_end
 
-!$SIMD
+!DIR$ SIMD
       DO ij=ij_begin_ext,ij_end_ext
 
@@ -487,5 +487,5 @@
     ! update q and, if update_mass, update mass
     DO l = ll_begin,ll_end
-!$SIMD
+!DIR$ SIMD
       DO ij=ij_begin,ij_end
              ! sign convention as Ringler et al. (2010) eq. 21
Index: codes/icosagcm/trunk/src/advect_tracer.f90
===================================================================
--- codes/icosagcm/trunk/src/advect_tracer.f90	(revision 486)
+++ codes/icosagcm/trunk/src/advect_tracer.f90	(revision 487)
@@ -239,5 +239,5 @@
 
      DO l=ll_beginp1,ll_end
-!$SIMD
+!DIR$ SIMD
        DO ij=ijb,ije
          dzqw(ij,l)=q(ij,l)-q(ij,l-1)
@@ -253,5 +253,5 @@
 
      DO l=ll_beginp1,ll_endm1
-!$SIMD
+!DIR$ SIMD
        DO ij=ijb,ije 
          IF(dzqw(ij,l)*dzqw(ij,l+1).gt.0.) THEN
@@ -285,5 +285,5 @@
     ! then amount of q leaving level l/l+1 = wq = w * qq
      DO l=ll_beginp1,ll_end
-!$SIMD
+!DIR$ SIMD
        DO ij=ijb,ije
              w = fac*wfluxt(ij,l)
@@ -317,5 +317,5 @@
     ! update q, mass is updated only after all q's have been updated
     DO l=ll_begin,ll_end
-!$SIMD
+!DIR$ SIMD
        DO ij=ijb,ije
              newmass = mass(ij,l) + fac*(wfluxt(ij,l)-wfluxt(ij,l+1))
Index: codes/icosagcm/trunk/src/dissip_gcm.f90
===================================================================
--- codes/icosagcm/trunk/src/dissip_gcm.f90	(revision 486)
+++ codes/icosagcm/trunk/src/dissip_gcm.f90	(revision 487)
@@ -501,5 +501,5 @@
 
       DO l=ll_begin,ll_end
-!$SIMD
+!DIR$ SIMD
         DO ij=ij_begin,ij_end
 
@@ -587,5 +587,5 @@
       due=f_due(ind) 
       DO  l = ll_begin, ll_end
-!$SIMD
+!DIR$ SIMD
         DO ij=ij_begin,ij_end
              due(ij+u_right,l)=ue(ij+u_right,l)
@@ -636,5 +636,5 @@
       due=f_due(ind) 
       DO  l = ll_begin, ll_end
-!$SIMD
+!DIR$ SIMD
         DO ij=ij_begin,ij_end
              due(ij+u_right,l)=ue(ij+u_right,l)
@@ -731,5 +731,5 @@
       dtheta_rhodz=f_dtheta_rhodz(ind) 
       DO  l = ll_begin, ll_end
-!$SIMD
+!DIR$ SIMD
         DO ij=ij_begin,ij_end
             dtheta_rhodz(ij,l) = theta_rhodz(ij,l,1) / mass(ij,l)
@@ -760,5 +760,5 @@
     
       DO  l = ll_begin, ll_end
-!$SIMD
+!DIR$ SIMD
         DO ij=ij_begin,ij_end
             dtheta_rhodz(ij,l) = dtheta_rhodz(ij,l) * mass(ij,l)
@@ -784,5 +784,5 @@
 
     DO l=llb,lle
-!$SIMD
+!DIR$ SIMD
       DO ij=ij_begin,ij_end
           divu_i(ij,l)=1./Ai(ij)*(ne(ij,right)*ue(ij+u_right,l)*le(ij+u_right)  +  &
@@ -796,5 +796,5 @@
     
     DO l=llb,lle
-!$SIMD
+!DIR$ SIMD
       DO ij=ij_begin,ij_end
  
@@ -809,5 +809,5 @@
 
     DO l=llb,lle
-!$SIMD
+!DIR$ SIMD
       DO ij=ij_begin,ij_end
           gradivu_e(ij+u_right,l)=-gradivu_e(ij+u_right,l)*cgraddiv
@@ -833,5 +833,5 @@
        
     DO l=llb,lle
-!$SIMD
+!DIR$ SIMD
       DO ij=ij_begin_ext,ij_end_ext
  
@@ -847,5 +847,5 @@
     
     DO l=llb,lle
-!$SIMD
+!DIR$ SIMD
       DO ij=ij_begin,ij_end
 
@@ -880,5 +880,5 @@
      
     DO l=llb,lle
-!$SIMD
+!DIR$ SIMD
       DO ij=ij_begin_ext,ij_end_ext
         
@@ -895,5 +895,5 @@
   
     DO l=llb,lle
-!$SIMD
+!DIR$ SIMD
       DO ij=ij_begin,ij_end
   
@@ -908,5 +908,5 @@
 
     DO l=llb,lle
-!$SIMD
+!DIR$ SIMD
       DO ij=ij_begin,ij_end
     
Index: codes/icosagcm/trunk/src/euler_scheme.f90
===================================================================
--- codes/icosagcm/trunk/src/euler_scheme.f90	(revision 486)
+++ codes/icosagcm/trunk/src/euler_scheme.f90	(revision 487)
@@ -48,5 +48,5 @@
              ps=f_ps(ind) ; dps=f_dps(ind) ;              
              IF (is_omp_first_level) THEN
-                !$SIMD
+                !DIR$ SIMD
                 DO ij=ij_begin,ij_end
                    ps(ij)=ps(ij)+dt*dps(ij)
@@ -56,5 +56,5 @@
              mass=f_mass(ind) ; dmass=f_dmass(ind) ;              
              DO l=ll_begin,ll_end
-                !$SIMD
+                !DIR$ SIMD
                 DO ij=ij_begin,ij_end
                    mass(ij,l)=mass(ij,l)+dt*dmass(ij,l)
@@ -72,5 +72,5 @@
 
        DO l=ll_begin,ll_end
-          !$SIMD
+          !DIR$ SIMD
           DO ij=ij_begin,ij_end
              u(ij+u_right,l)=u(ij+u_right,l)+dt*du(ij+u_right,l)
@@ -102,5 +102,5 @@
 
        DO l=ll_begin,ll_end
-          !$SIMD
+          !DIR$ SIMD
           DO ij=ij_begin_ext,ij_end_ext
              hfluxt(ij+u_right,l) = tau*hflux(ij+u_right,l)
@@ -112,5 +112,5 @@
        IF(caldyn_eta==eta_mass) THEN ! no need for vertical fluxes if eta_lag
           DO l=ll_begin,ll_endp1
-             !$SIMD
+             !DIR$ SIMD
              DO ij=ij_begin,ij_end
                 wfluxt(ij,l) = tau*wflux(ij,l)
@@ -122,5 +122,5 @@
 
        DO l=ll_begin,ll_end
-          !$SIMD
+          !DIR$ SIMD
           DO ij=ij_begin_ext,ij_end_ext
              hfluxt(ij+u_right,l) = hfluxt(ij+u_right,l)+tau*hflux(ij+u_right,l)
@@ -132,5 +132,5 @@
        IF(caldyn_eta==eta_mass) THEN ! no need for vertical fluxes if eta_lag
           DO l=ll_begin,ll_endp1
-             !$SIMD
+             !DIR$ SIMD
              DO ij=ij_begin,ij_end
                 wfluxt(ij,l) = wfluxt(ij,l)+tau*wflux(ij,l)
@@ -160,5 +160,5 @@
        IF(caldyn_eta==eta_mass .AND. is_omp_first_level) THEN ! update ps
           ps=f_ps(ind)
-          !$SIMD
+          !DIR$ SIMD
           DO ij=ij_begin,ij_end
              ps(ij)=(ps(ij)-ptop)/g ! convert ps to column-integrated mass
@@ -168,5 +168,5 @@
        u=f_u(ind)
        DO l=ll_begin,ll_end
-          !$SIMD
+          !DIR$ SIMD
           DO ij=ij_begin,ij_end
              u(ij+u_right,l)=u(ij+u_right,l)*de(ij+u_right)
@@ -197,5 +197,5 @@
        IF(caldyn_eta==eta_mass .AND. is_omp_first_level) THEN
           ps=f_ps(ind)
-          !$SIMD
+          !DIR$ SIMD
           DO ij=ij_begin,ij_end
              ps(ij)=ptop+ps(ij)*g ! convert column-integrated mass to ps
@@ -205,5 +205,5 @@
        u=f_u(ind)
        DO l=ll_begin,ll_end
-          !$SIMD
+          !DIR$ SIMD
           DO ij=ij_begin,ij_end
              u(ij+u_right,l)=u(ij+u_right,l)/de(ij+u_right)
Index: codes/icosagcm/trunk/src/explicit_scheme.f90
===================================================================
--- codes/icosagcm/trunk/src/explicit_scheme.f90	(revision 486)
+++ codes/icosagcm/trunk/src/explicit_scheme.f90	(revision 487)
@@ -78,5 +78,5 @@
 
                IF (stage==1) THEN ! first stage : save model state in XXm1
-                  !$SIMD
+                  !DIR$ SIMD
                   DO ij=ij_begin,ij_end
                      psm1(ij)=ps(ij)
@@ -85,5 +85,5 @@
 
                ! updates are of the form x1 := x0 + tau*f(x1)
-               !$SIMD
+               !DIR$ SIMD
                DO ij=ij_begin,ij_end
                   ps(ij)=psm1(ij)+tau*dps(ij)
@@ -104,5 +104,5 @@
             IF (stage==1) THEN ! first stage : save model state in XXm1
                DO l=ll_begin,ll_end
-                  !$SIMD
+                  !DIR$ SIMD
                   DO ij=ij_begin,ij_end
                      massm1(ij,l)=mass(ij,l)
@@ -113,5 +113,5 @@
             ! updates are of the form x1 := x0 + tau*f(x1)
             DO l=ll_begin,ll_end
-               !$SIMD
+               !DIR$ SIMD
                DO ij=ij_begin,ij_end
                   mass(ij,l)=massm1(ij,l)+tau*dmass(ij,l)
@@ -137,5 +137,5 @@
          IF (stage==1) THEN ! first stage : save model state in XXm1
             DO l=ll_begin,ll_end
-               !$SIMD
+               !DIR$ SIMD
                DO ij=ij_begin,ij_end
                   um1(ij+u_right,l)=u(ij+u_right,l)
@@ -148,5 +148,5 @@
 
          DO l=ll_begin,ll_end
-            !$SIMD
+            !DIR$ SIMD
             DO ij=ij_begin,ij_end
                u(ij+u_right,l)=um1(ij+u_right,l)+tau*du(ij+u_right,l)